Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Ret_UB_String_SArgument_T< S, S_var > Class Template Reference

Template class for return skeleton value of UB (w)string. More...

`#include <UB_String_SArgument_T.h>`

Inheritance diagram for TAO::Ret_UB_String_SArgument_T< S, S_var >:

[legend]
Collaboration diagram for TAO::Ret_UB_String_SArgument_T< S, S_var >:

[legend]
List of all members.

## Public Methods

| Ret_UB_String_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_result (CORBA::Any *)
S *& | arg (void)

## Private Attributes

S_var | x_

## Detailed Description

### template<typename S, typename S_var>
class TAO::Ret_UB_String_SArgument_T< S, S_var >

Template class for return skeleton value of UB (w)string.

## Constructor & Destructor Documentation

template<typename S, typename S_var>
ACE_INLINE TAO::Ret_UB_String_SArgument_T< S, S_var >::Ret_UB_String_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_var>
S *& TAO::Ret_UB_String_SArgument_T< S, S_var >::arg | ( | void |  | ) |

template<typename S, typename S_var>
void TAO::Ret_UB_String_SArgument_T< S, S_var >::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_var>
CORBA::Boolean TAO::Ret_UB_String_SArgument_T< S, S_var >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_var>
S_var TAO::Ret_UB_String_SArgument_T< S, S_var >::x_`[private]`

The documentation for this class was generated from the following files:

- UB_String_SArgument_T.h
- UB_String_SArgument_T.cpp
- UB_String_SArgument_T.inl